From 76f9b37c9eec2cd0e778e566363dea5f6c2e8784 Mon Sep 17 00:00:00 2001
From: "Bradford D. Boyle" <bradford.d.boyle@gmail.com>
Date: Mon, 3 Jun 2024 20:31:12 -0700
Subject: [PATCH] pgbackrest: Add python3-distutils dependency

---
 jenkins/generate-pgdg-source | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/jenkins/generate-pgdg-source b/jenkins/generate-pgdg-source
index 151b1cd..6b5791a 100755
--- a/jenkins/generate-pgdg-source
+++ b/jenkins/generate-pgdg-source
@@ -290,6 +290,15 @@ case $PACKAGE in
     esac
     ;;
 
+  pgbackrest)
+    case $distribution in
+      bullseye|focal)
+        sed -i -E 's/( +)(pkgconf,)/\1\2\n\1python3-distutils,/' debian/control
+        TWEAK+=("Add python3-distutils dependency")
+        ;;
+    esac
+    ;;
+
   postgis)
     case ${distribution:-} in
       buster|stretch|focal|eoan|bionic|xenial)
-- 
2.45.2

